| Flutter macOS Embedder |

Instance Methods | Properties | List of all members
FlutterEngineRegistrar Class Reference
Inheritance diagram for FlutterEngineRegistrar:

## Instance Methods
(instancetype) | - initWithPlugin:flutterEngine:
(nullable NSView *) | - viewForIdentifier:
Instance Methods inherited from <FlutterPluginRegistrar>
(void) | - addMethodCallDelegate:channel:
(void) | - addApplicationDelegate:
(void) | - registerViewFactory:withId:
(void) | - publish:
(nonnull NSString *) | - lookupKeyForAsset:
(nonnull NSString *) | - lookupKeyForAsset:fromPackage:

## Properties
NSObject * | publishedValue
Properties inherited from <FlutterPluginRegistrar>
id< FlutterBinaryMessenger > | messenger
id< FlutterTextureRegistry > | textures
NSView * | view
NSViewController * | viewController

## Detailed Description

`FlutterPluginRegistrar` implementation handling a single plugin.

Definition at line 313 of file FlutterEngine.mm.

## Method Documentation

## ◆ initWithPlugin:flutterEngine:

- (instancetype) initWithPlugin: |  | (nonnull NSString *) | pluginKey
flutterEngine: |  | (nonnull FlutterEngine *) | flutterEngine

## ◆ viewForIdentifier:

- (NSView *) viewForIdentifier: |  | (FlutterViewIdentifier) | viewIdentifier |

Definition at line 329 of file FlutterEngine.mm.

358 :(FlutterViewIdentifier)viewIdentifier {
359 FlutterViewController* controller = [_flutterEngine viewControllerForIdentifier:viewIdentifier];
360 if (controller == nil) {
361 return nil;
362 }
363 if (!controller.viewLoaded) {
364 [controller loadView];
365 }
366 return controller.flutterView;
367 }
FlutterViewIdentifier
int64_t FlutterViewIdentifier
Definition: FlutterViewController.h:21
FlutterViewController
Definition: FlutterViewController.h:73

## Property Documentation

## ◆ publishedValue

- (NSObject*) publishedValue
| readnonatomicassign

The value published by this plugin, or NSNull if nothing has been published.

The unusual NSNull is for the documented behavior of valuePublishedByPlugin:.

Definition at line 324 of file FlutterEngine.mm.

The documentation for this class was generated from the following file:

- shell/platform/darwin/macos/framework/Source/FlutterEngine.mm